# ps-exporter via Proxy Configuration

If your cluster does not have access to the Internet and you are utilizing a proxy server you can connect the exporter via proxy in order to use PerfectScale.

To configure ps-exporter via proxy you'll need to modify the helm chart while [connecting the cluster](https://docs.perfectscale.io/getting-started/how-to-onboard-a-cluster) (step: deploy PerfectScale) with additional settings (lines 6,7,8 and 9 in the following command):

{% code lineNumbers="true" %}

```yaml
helm upgrade --install -n perfectscale --create-namespace perfectscale \
  --set secret.create=true \
  --set secret.clientId="CHNAGE_TO YOUR" \
  --set secret.clientSecret="CHNAGE_TO YOUR" \
  --set settings.clusterName="CHNAGE_TO YOUR" \
  --set settings.httpProxyEnabled=true \
  --set settings.httpProxy="http://proxy.net:8080" \
  --set settings.httpsProxy="http://proxy.net:8080" \
  --set settings.noProxy=".corp\,.svc\,.cluster\,.local\,172.30.0.1\," \
  perfectscale/exporter
```

{% endcode %}

:six:`--set settings.httpProxyEnabled=true` - enables proxy

:seven:`--set settings.httpProxy="http://proxy.net:8080" \` - your proxy URL with the `http` protocol

:eight:`--set settings.httpsProxy="http://proxy.net:8080" \` - your proxy URL with the `https` protocol

:nine:`--set settings.noProxy=".corp\,.svc\,.cluster\,.local\,172.30.0.1\," \` - the TLDs are allowed without proxy

{% hint style="info" %}
To use PerfectScale via a proxy, ensure that your proxy server allows `http` and `https` connections to the following endpoints:

* registry.k8s.io
* api.app.perfectscale.io/
* app.perfectscale.io
* perfectscale-io.github.io
* public.ecr.aws
* customer-data-prod-perfectscale-io.s3.eu-central-1.amazonaws.com&#x20;
* customer-data-prod-perfectscale-io.s3.dualstack.eu-central-1.amazonaws.com
* s3.eu-central-1.amazonaws.com
* s3.dualstack.eu-central-1.amazonaws.com
* storage.googleapis.com
* cloudfront.net
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.perfectscale.io/administration/security/ps-exporter-via-proxy-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
